<!DOCTYPE html>
<html>
	<head>
		<title>Discover Genres</title>
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
		<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
		<link rel="stylesheet" href="../css/styles.css">
		<link rel="preconnect" href="https://fonts.gstatic.com">
		<link href="https://fonts.googleapis.com/css2?family=Crimson+Text&display=swap" rel="stylesheet">
	</head>
	<body>
		<nav class="navbar sticky-top navbar-expand-lg navbar-dark bg-secondary">
			<a class="navbar-brand" href="#">
				<img src="../computer-science.png">
			</a>
			<a class="navbar-brand" href="index.html">CSBooks</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<ul class="navbar-nav mr-auto">
					<li class="nav-item">
						<a class="nav-link" href="books.html">Books</a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="genres.html">Genres</a>
					</li>
				</ul>
				<ul class="navbar-nav ml-auto">
					<li class= "nav-item" id="login-button">
						<a class="nav-link" href="login.html">Login</a>
					</li>
					<li class="nav-item" id="book-review" hidden>
						<a class="nav-link" href="book-reviews.html">Book Reviews</a>
					</li>
					<li class="nav-item" id="wishlist" hidden>
						<a class="nav-link" href="wishlist.html">Wishlist</a>
					</li>
					<li class="nav-item user-feature" id="user-account" hidden>
						<a class="nav-link" href="user-account.html">Account</a>
					</li>
					<li class="nav-item" id="logout-button" hidden>
						<a class="nav-link" href="index.html">Logout</a>
					</li>
				</ul>
			</div>
		</nav>
		<h1 class="page-heading">Genre Categories</h1>
		<div id="button-div">
			<button class="btn btn-outline-secondary search-button" id="genre-add-button" data-toggle="modal" data-target="#genre-add-modal" type="submit" hidden><i class="glyphicon glyphicon-plus"></i>Add Genre</button>
			<button class="btn btn-outline-secondary search-button" id="genre-delete-button" data-toggle="modal" data-target="#genre-delete-modal" type="submit" hidden><i class="glyphicon glyphicon-plus"></i>Delete Genre</button>
			<button class="btn btn-outline-secondary search-button" id="genre-update-button" data-toggle="modal" data-target="#genre-update-modal" type="submit" hidden><i class="glyphicon glyphicon-plus"></i>Update Genre Description</button>
		</div>
		<div id="genre-add-modal" class="modal fade">
    		<div class="modal-dialog" role="document">
        		<div class="modal-content">
            		<div class="modal-header">
                		<h1 class="modal-title">Add New Genre</h1>
            		</div>
            	<div class="modal-body">
                	<form role="form" id="add-new-genre-form">
                    	<div class="form-group">
                        	<label class="control-label">Genre Title</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="genre-title-add" name="genreTitle" placeholder="Genre Title">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">Description</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="description" name="description" placeholder="Description">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<div>
                            	<button type="submit" class="btn btn-secondary nav-btn"><span>Submit</span></button>
                        	</div>
                    	</div>
                    	<p id="hidden-message-add" hidden>There was an issue adding your genre</p>
                	</form>
          		</div>
        		</div><!-- /.modal-content -->
    		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		<div id="genre-delete-modal" class="modal fade">
    		<div class="modal-dialog" role="document">
        		<div class="modal-content">
            		<div class="modal-header">
                		<h1 class="modal-title">Delete Genre</h1>
            		</div>
            	<div class="modal-body">
                	<form role="form" id="delete-genre-form">
                    	<div class="form-group">
                        	<label class="control-label">Genre Title</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="genre-title-delete" name="genreTitle" placeholder="Genre Title">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<div>
                            	<button type="submit" class="btn btn-secondary nav-btn"><span>Submit</span></button>
                        	</div>
                    	</div>
                    	<p id="hidden-message-delete" hidden>There was an issue deleting the specified genre</p>
                	</form>
          		</div>
        		</div><!-- /.modal-content -->
    		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		<div id="genre-update-modal" class="modal fade">
    		<div class="modal-dialog" role="document">
        		<div class="modal-content">
            		<div class="modal-header">
                		<h1 class="modal-title">Update Genre Description</h1>
            		</div>
            	<div class="modal-body">
                	<form role="form" id="update-genre-form">
                    	<div class="form-group">
                        	<label class="control-label">Genre Title</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="genre-title-update" name="genreTitle" placeholder="Genre Title">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<label class="control-label">Description</label>
                        	<div>
                            	<input type="text" class="form-control input-lg" id="update-description" name="description" placeholder="Description">
                        	</div>
                    	</div>
                    	<div class="form-group">
                        	<div>
                            	<button type="submit" class="btn btn-secondary nav-btn"><span>Submit</span></button>
                        	</div>
                    	</div>
                    	<p id="hidden-message-update" hidden>There was an issue updating the description of the specified genre</p>
                	</form>
          		</div>
        		</div><!-- /.modal-content -->
    		</div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		<br>
		<br>
		<div class="genre-items">
			<p class="error-text" hidden>Error: Can't fetch genres.</p>
			<table id="genre-table" class="table table-responsive" hidden>
				<thead>
					<tr>
						<th scope="col">Genre Name</th>
						<th scope="col">Description</th>
					</tr>
				</thead>
				<tbody id="table-body-genres" class="table-striped">

				<tbody>	
			</table>
		</div>
		<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
		<script src="../scripts/server-requests.js"></script>
		<script src="../scripts/genre-request.js"></script>
		<script src="../scripts/nav-items-user.js"></script>
	</body>
</html>